Skip to main content
GET
/
pg
/
vba
/
List Virtual Bank Accounts
curl --request GET \
  --url https://api-pacb-uat.eximpe.com/pg/vba/ \
  --header 'X-API-Version: <api-key>' \
  --header 'X-Client-ID: <api-key>' \
  --header 'X-Client-Secret: <api-key>' \
  --header 'X-Merchant-ID: <api-key>'
import requests

url = "https://api-pacb-uat.eximpe.com/pg/vba/"

headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"X-Merchant-ID": "<api-key>",
"X-API-Version": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'X-Merchant-ID': '<api-key>',
'X-API-Version': '<api-key>'
}
};

fetch('https://api-pacb-uat.eximpe.com/pg/vba/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Request processed successfully.",
  "data": {
    "count": 2,
    "page": 1,
    "page_size": 250,
    "next": null,
    "previous": null,
    "results": [
      {
        "uid": "VBA_7d1f9a2b3c",
        "virtual_account_id": "24586202",
        "vba_account_name": "Acme Imports",
        "vba_bank_code": "UTIB",
        "vba_account_number": "9461257424586202",
        "vba_ifsc": "UTIB0CCH274",
        "vba_status": "ACTIVE",
        "vba_provider": "ICICI"
      },
      {
        "uid": "VBA_8e2a0b3c4d",
        "virtual_account_id": "24586203",
        "vba_account_name": "Acme Imports",
        "vba_bank_code": "YESB",
        "vba_account_number": "9461257424586203",
        "vba_ifsc": "YESB0CMSNOC",
        "vba_status": "INACTIVE",
        "vba_provider": "CASHFREE"
      }
    ]
  }
}

Authorizations

X-Client-ID
string
header
required

Client Application ID - Your unique application identifier used to authenticate API requests. You can find your Client ID in the Developer Settings section of the merchant dashboard.

X-Client-Secret
string
header
required

Client Secret Key - Your secret key used alongside the Client ID for secure authentication. Keep this confidential and never expose it in client-side code. Available in the Developer Settings section of the merchant dashboard.

X-Merchant-ID
string
header
required

Merchant Identifier - The unique ID for the merchant account. This is required for PSP (Payment Service Provider) merchants who manage multiple merchant accounts. You can find merchant IDs in the Merchant Management section of the dashboard.

X-API-Version
string
header
required

API Version - Specifies which version of the API to use (e.g., '1.X.X', '2.X.X', or '3.X.X'). This header allows you to control which API version your integration uses. Default version information is available in the Developer Settings.

Query Parameters

vba_status
enum<string>

Filter by VBA status.

Available options:
ACTIVE,
INACTIVE
vba_provider
enum<string>

Filter by VBA provider.

Available options:
CASHFREE,
ICICI
page
integer

Page number for pagination.

Response

200 - application/json

List of virtual bank accounts.

success
boolean
Example:

true

message
string
Example:

"Request processed successfully."

data
object